package com.prolog.upcloud.base.wh.operate.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.StringJoiner;

/**
 * 货主转换单主表查询条件
 *
 * @author wujunjie
 * @date 2021-09-15
 */
public class CargoChangeQueryVO {

    @ApiModelProperty("仓库ID")
    private String warehouseId;

    /**
     * 采购单编号
     */
    @ApiModelProperty("采购单编号")
    private String poBillNo;

    /**
     * 销售单编号
     */
    @ApiModelProperty("销售单编号")
    private String orderBillNo;

    /**
     * 源货主ID
     */
    @ApiModelProperty("源货主ID")
    private String srcCargoOwnerId;

    /**
     * 目标货主ID
     */
    @ApiModelProperty("目标货主ID")
    private String destCargoOwnerId;

    /**
     * 状态(0未完成/2已完成/3取消/4错误)
     */
    @ApiModelProperty("状态")
    private String status;

    /**
     * 数据来源(WMS/ERP)
     */
    @ApiModelProperty("数据来源")
    private String sourceType;

    /**
     * 单据日期
     */
    @ApiModelProperty("单据日期")
    private Date billDate;

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getPoBillNo() {
        return poBillNo;
    }

    public void setPoBillNo(String poBillNo) {
        this.poBillNo = poBillNo;
    }

    public String getOrderBillNo() {
        return orderBillNo;
    }

    public void setOrderBillNo(String orderBillNo) {
        this.orderBillNo = orderBillNo;
    }

    public String getSrcCargoOwnerId() {
        return srcCargoOwnerId;
    }

    public void setSrcCargoOwnerId(String srcCargoOwnerId) {
        this.srcCargoOwnerId = srcCargoOwnerId;
    }

    public String getDestCargoOwnerId() {
        return destCargoOwnerId;
    }

    public void setDestCargoOwnerId(String destCargoOwnerId) {
        this.destCargoOwnerId = destCargoOwnerId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public Date getBillDate() {
        return billDate;
    }

    public void setBillDate(Date billDate) {
        this.billDate = billDate;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", CargoChangeQueryVO.class.getSimpleName() + "[", "]")
                .add("warehouseId='" + warehouseId + "'")
                .add("poBillNo='" + poBillNo + "'")
                .add("orderBillNo='" + orderBillNo + "'")
                .add("srcCargoOwnerId='" + srcCargoOwnerId + "'")
                .add("destCargoOwnerId='" + destCargoOwnerId + "'")
                .add("status='" + status + "'")
                .add("sourceType='" + sourceType + "'")
                .add("billDate=" + billDate)
                .toString();
    }
}
